> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new donor and process their donation



## OpenAPI

````yaml post /frontend/checkout/signup/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/signup/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Create a new donor and process their donation
      operationId: a3baa75b4fad4b60dd826d15c90acf27
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: integer
      requestBody:
        description: Donor and donation details
        required: true
        content:
          application/json:
            schema:
              properties:
                signup_username:
                  type: string
                  example: donor123
                email:
                  type: string
                  example: donor@gmail.com
                signup_password:
                  type: string
                  example: password123
                method_signup:
                  type: string
                  example: '3'
                firstName:
                  type: string
                  example: John
                lastName:
                  type: string
                  example: Doe
                cardHolderName:
                  type: string
                  example: John Doe
                dn_donor_name:
                  type: string
                  example: John Doe
                paying_processing:
                  type: string
                  example: '1'
                rememberMe:
                  type: boolean
                  example: 'false'
                token:
                  type: string
                  example: token123
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  redirect:
                    type: string
                    example: /frontend/donor_view/1/1/1
                  email:
                    type: string
                    example: donor@gmail.com
                  username:
                    type: string
                    example: donor123
                  message:
                    type: string
                    example: You have successfully signed up!
                type: object
        '400':
          description: Donation failed
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: error
                  email:
                    type: string
                    example: donor@example.com
                  username:
                    type: string
                    example: donor123
                  redirect:
                    type: string
                    example: /frontend/donor_view/1/1/1
                  message:
                    type: string
                    example: Donation failed, error message
                type: object
        '401':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object

````